Bug 1158850 - undefined local variable or method `anonymous_admin' when non-Administrator accesses katello/dashboard or try to register client
Summary: undefined local variable or method `anonymous_admin' when non-Administrator a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.0.4
Hardware: All
OS: All
medium
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-30 11:23 UTC by Pavel Moravec
Modified: 2020-07-16 08:30 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 08:46:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1268143 None None None Never
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Pavel Moravec 2014-10-30 11:23:45 UTC
Description of problem:
When a user not belonging to Administrators tries to access katello/dashboard, it fails and an exception is raised in production.log.


Version-Release number of selected component (if applicable):
Satellite 6.0.4
ruby193-rubygem-katello-1.5.0-88.el6sat.noarch.rpm


How reproducible:
100%


Steps to Reproduce:
1. Create a user with whatever permissions/roles/filters you want, but without "Administrator" set.
2. Login as that user.
3. Click to Monitor -> Content Dashboard (i.e. to page katello/dashboard)
4. Check result & tail of /var/log/foreman/production.log


Actual results:
- WebUI returns "We're sorry, but something went wrong." box.
- production.log contains below backtrace


Expected results:
- anyone with access_dashboard filter should be able to access the page
- no exception in production.log

Additional info:
production.log:

Processing by Katello::DashboardController#index as HTML
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/common/_helptip_button.html.haml (1.0ms)
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/common/_helptip.html.haml (1.1ms)
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/index.html.haml within katello/layouts/katello (22.7ms)
undefined local variable or method `anonymous_admin' for #<User:0x0000000fee1880> (NameError)
/opt/rh/ruby193/root/usr/share/gems/gems/activemodel-3.2.8/lib/active_model/attribute_methods.rb:407:in `method_missing'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/attribute_methods.rb:149:in `method_missing'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/concerns/user_extensions.rb:212:in `allowed_organizations'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/dashboard/content_views_widget.rb:19:in `accessible?'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/dashboard/layout.rb:37:in `block in initialize'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/dashboard/layout.rb:35:in `each'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/dashboard/layout.rb:35:in `initialize'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/helpers/katello/dashboard_helper.rb:161:in `new'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/helpers/katello/dashboard_helper.rb:161:in `dashboard_layout'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/helpers/katello/dashboard_helper.rb:166:in `render_dashboard'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/dashboard/index.html.haml:14:in `__opt_rh_ruby____root_usr_share_gems_gems_katello_______app_views_katello_dashboard_index_html_haml___2138532451265213066_85633860'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/template.rb:145:in `block in render'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:125:in `instrument'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/template.rb:143:in `render'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_renderer.rb:47:in `block (2 levels) in render_template'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/abstract_renderer.rb:38:in `block in instrument'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `block in instrument'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `instrument'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/abstract_renderer.rb:38:in `instrument'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_renderer.rb:46:in `block in render_template'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_renderer.rb:54:in `render_with_layout'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_renderer.rb:45:in `render_template'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/template_renderer.rb:18:in `render'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/renderer.rb:36:in `render_template'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_view/renderer/renderer.rb:17:in `render'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:110:in `_render_template'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/streaming.rb:225:in `_render_template'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:103:in `render_to_body'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/renderers.rb:28:in `render_to_body'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/compatibility.rb:50:in `render_to_body'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:88:in `render'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:16:in `render'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:40:in `block (2 levels) in render'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/core_ext/benchmark.rb:5:in `block in ms'
/opt/rh/ruby193/root/usr/share/ruby/benchmark.rb:295:in `realtime'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/core_ext/benchmark.rb:5:in `ms'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:40:in `block in render'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:83:in `cleanup_view_runtime'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_runtime.rb:24:in `cleanup_view_runtime'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:39:in `render'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:10:in `default_render'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:5:in `send_action'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `process_action'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in `block in process_action'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:581:in `block (2 levels) in _run__3444159609005764022__process_action__938179899649246595__callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_9831'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_3054'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_9831'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:536:in `block in _run__3444159609005764022__process_action__938179899649246595__callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_9830'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:326:in `around'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:310:in `_callback_around_13'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_9830'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:414:in `_run__3444159609005764022__process_action__938179899649246595__callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:in `process_action'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:30:in `block in process_action'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `block in instrument'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `instrument'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:29:in `process_action'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapper.rb:207:in `process_action'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `process'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:in `process'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `dispatch'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `block in action'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:36:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'
/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'
/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'
/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'
/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'
/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.5/lib/apipie/static_dispatcher.rb:65:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.5/lib/apipie/extractor/recorder.rb:97:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.5/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:25:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:14:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_parser.rb:21:in `call'
/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:242:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `context'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.rb:339:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/query_cache.rb:64:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:473:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `_run__2094259621053882860__call__1644300168609772629__callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/lib/katello/middleware/silenced_logger.rb:30:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_id.rb:22:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/local_cache.rb:72:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/static.rb:62:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:245:in `fetch'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:185:in `lookup'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:66:in `call!'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/builder.rb:134:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:64:in `block in call'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `each'
/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/urlmap.rb:49:in `call'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'
/usr/lib/ruby/gems/1.8/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'
/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'
Rendering 500:undefined local variable or method `anonymous_admin' for #<User:0x0000000fee1880>
Completed 500 Internal Server Error in 574ms

ActionView::MissingTemplate (Missing template layouts/katello with {:locale=>[:en], :formats=>[:html], :handlers=>[:erb, :builder, :haml, :rabl]}. Searched in:
  * "/usr/share/foreman/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/foreman_bootdisk-2.0.6/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/redhat_access-0.0.4/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/foreman_discovery-1.3.0/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/engines/bastion/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/ui_alchemy-rails-1.0.12/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/foreman-tasks-0.6.9/app/views"
  * "/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.2.5/app/views"
):
  lib/middleware/catch_json_parse_errors.rb:9:in `call'

Comment 2 Pavel Moravec 2014-10-30 12:07:03 UTC
Commit for #6870/BZ1075523 changed "hidden" to "anonymous_admin" but that apparently does not work in allowed_organizations method:

        def allowed_organizations
          (admin? || anonymous_admin) ? Organization.all : self.organizations
        end

that raises "undefined local variable or method"

Comment 12 Tazim Kolhar 2015-11-10 08:48:29 UTC
VERIFIED:
# rpm -qa | grep foreman
foreman-gce-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
hp-bl465cg7-01.rhts.eng.bos.redhat.com-foreman-client-1.0-1.noarch
hp-bl465cg7-01.rhts.eng.bos.redhat.com-foreman-proxy-1.0-1.noarch
foreman-selinux-1.11.0-0.develop.201510071426git6234447.el7.noarch
tfm-rubygem-foreman_bootdisk-6.0.0-2.fm1_10.el7.noarch
foreman-release-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-ovirt-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.8-1.el7.noarch
foreman-libvirt-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-postgresql-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-foreman_gutterball-0.0.1-3.el7.noarch
hp-bl465cg7-01.rhts.eng.bos.redhat.com-foreman-proxy-client-1.0-1.noarch
tfm-rubygem-foreman_discovery-4.1.2-1.fm1_11.el7.noarch
foreman-compute-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.3-4.el7.noarch
foreman-debug-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
foreman-proxy-1.11.0-0.develop.201511020918git26aba85.el7.noarch
foreman-vmware-1.11.0-0.develop.201511062002gitd3c978e.el7.noarch
tfm-rubygem-hammer_cli_foreman-0.4.0-1.201510201150gitab068d9.el7.noarch
tfm-rubygem-foreman_hooks-0.3.9-1.el7.noarch
tfm-rubygem-foreman-tasks-0.7.6-1.fm1_10.el7.noarch
foreman-release-scl-1-1.el7.x86_64
tfm-rubygem-foreman_docker-1.4.1-2.fm1_10.el7.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3-3.el7.noarch

steps:
1. Create a user with whatever permissions/roles/filters you want, but without "Administrator" set.
2. Login as that user.
3. Click to Monitor -> Content Dashboard (i.e. to page katello/dashboard)
4. Check result & tail of /var/log/foreman/production.log

No error in production.log
# tail -f /var/log/foreman/production.log
2015-11-10 03:42:24 [app] [I]   Rendered common/_searchbar.html.erb (7.8ms)
2015-11-10 03:42:24 [app] [I]   Rendered home/_user_dropdown.html.erb (2.4ms)
2015-11-10 03:42:24 [app] [I] Read fragment views/tabs_and_title_records-4 (0.2ms)
2015-11-10 03:42:24 [app] [I]   Rendered home/_topbar.html.erb (4.0ms)
2015-11-10 03:42:24 [app] [I]   Rendered layouts/base.html.erb (6.1ms)
2015-11-10 03:42:24 [app] [I] Completed 200 OK in 76ms (Views: 28.7ms | ActiveRecord: 12.5ms)
2015-11-10 03:42:30 [app] [I] Connecting to database specified by database.yml
2015-11-10 03:43:26 [foreman-tasks/dynflow] [I] start terminating client dispatcher...
2015-11-10 03:43:26 [foreman-tasks/dynflow] [I] stop listening for new events...
2015-11-10 03:43:26 [foreman-tasks/dynflow] [I] start terminating clock...
2015-11-10 03:47:32 [app] [I] 
 | 
 | Started GET "/node/hp-bl465cg7-01.rhts.eng.bos.redhat.com?format=yml" for 2620:52:0:1040:1aa9:5ff:fec5:2f5c at 2015-11-10 03:47:32 -0500
2015-11-10 03:47:32 [app] [I] Processing by HostsController#externalNodes as YML
2015-11-10 03:47:32 [app] [I]   Parameters: {"name"=>"hp-bl465cg7-01.rhts.eng.bos.redhat.com"}
2015-11-10 03:47:34 [app] [I]   Rendered text template (0.0ms)
2015-11-10 03:47:34 [app] [I] Completed 200 OK in 1957ms (Views: 11.3ms | ActiveRecord: 31.4ms)
2015-11-10 03:47:36 [app] [I] 
 | 
 | Started POST "/api/hosts/facts" for 2620:52:0:1040:1aa9:5ff:fec5:2f5c at 2015-11-10 03:47:36 -0500
2015-11-10 03:47:37 [app] [I] Processing by Api::V2::HostsController#facts as JSON
2015-11-10 03:47:37 [app] [I]   Parameters: {"facts"=>"[FILTERED]", "name"=>"hp-bl465cg7-01.rhts.eng.bos.redhat.com", "certname"=>"hp-bl465cg7-01.rhts.eng.bos.redhat.com", "apiv"=>"v2", :host=>{"name"=>"hp-bl465cg7-01.rhts.eng.bos.redhat.com", "certname"=>"hp-bl465cg7-01.rhts.eng.bos.redhat.com"}}
2015-11-10 03:47:37 [app] [I] Import facts for 'hp-bl465cg7-01.rhts.eng.bos.redhat.com' completed. Added: 0, Updated: 6, Deleted 0 facts
2015-11-10 03:47:38 [app] [I] Completed 201 Created in 759ms (Views: 7.1ms | ActiveRecord: 0.0ms)
2015-11-10 03:47:53 [app] [I] 
 | 
 | Started GET "/node/hp-bl465cg7-01.rhts.eng.bos.redhat.com?format=yml" for 2620:52:0:1040:1aa9:5ff:fec5:2f5c at 2015-11-10 03:47:53 -0500
2015-11-10 03:47:53 [app] [I] Processing by HostsController#externalNodes as YML
2015-11-10 03:47:53 [app] [I]   Parameters: {"name"=>"hp-bl465cg7-01.rhts.eng.bos.redhat.com"}
2015-11-10 03:47:54 [app] [I]   Rendered text template (0.0ms)
2015-11-10 03:47:54 [app] [I] Completed 200 OK in 946ms (Views: 1.1ms | ActiveRecord: 10.9ms)
2015-11-10 03:47:55 [app] [I] 
 | 
 | Started POST "/api/reports" for 2620:52:0:1040:1aa9:5ff:fec5:2f5c at 2015-11-10 03:47:55 -0500
2015-11-10 03:47:55 [app] [I] Processing by Api::V2::ReportsController#create as JSON
2015-11-10 03:47:55 [app] [I]   Parameters: {"report"=>"[FILTERED]", "apiv"=>"v2"}
2015-11-10 03:47:55 [app] [I] processing report for hp-bl465cg7-01.rhts.eng.bos.redhat.com
2015-11-10 03:47:55 [app] [I] Imported report for hp-bl465cg7-01.rhts.eng.bos.redhat.com in 0.06 seconds
2015-11-10 03:47:55 [app] [I]   Rendered api/v2/reports/create.json.rabl (17.4ms)
2015-11-10 03:47:55 [app] [I] Completed 201 Created in 167ms (Views: 23.4ms | ActiveRecord: 16.0ms)

Comment 16 errata-xmlrpc 2016-07-27 08:46:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.